!Control file for nRattleBatch
! Revision of program involving a change in the control file on this date:
   02/06/24
!Name of summary file (nothing is written to this file in this version of the program):
   nRattleBatch.sum
!Write file with velocity model and complex amplifications (in addition to the file with cabs(ComplexAmps)
!  intended for plotting)?
 Y
!Write file with SRI amps?
 Y
!File with modified eta's, for use if want a file with SRI amps; a placeholder is needed even if not used.
!
 C:\sri.underestimate_gradient_response\eta_revision\NewEtaMeanFromCSV.csv
! 
!Are the velocities from a suspension log survey?
!If yes, assume that the velocity value is at the midpoint of the layer
   N
!Velocity for first layer (0 = use the first velocity of the input)
! Use this for sensitivity studies of vavg for PS log models that do not
! extend to the surface.   
   0.0
!Depth to bottom (d2b) or layer thickness (thk) (note: a value of 0.0 for
!the first depth from the model file will signal that the model is a
!piecewise continuous model)?
   d2b
!Lines to skip to reach data (nskip):
! nskip<0: use skipcmnt to skip a block of header lines starting with the 
!          exclamation character ("!"), followed by skipping abs(nskip)-1 
!          header lines.  This option is included so that the program can compute
!          the amplifications for a group of model files that have a variable
!          number of headers startng with "!" before a line with column headings.
! nskip=0: skip no lines
! nskip>0: skip the number of lines specified by nskip
!
! -1 ! the data are preceeded by one or more lines starting with "!"
! -2 ! the data are preceeded by one or more lines starting with "!", followed 
!      by a single line with column headers.
   1 ! skip one line to reach the lines of model data
!
!Use density in model file?
   N
!dens_default (if layer density = 0.0, either because the densities from the 
!  input file are to be used, but these are 0.0, or because the density is not
!  to be obtained from the input file, then use this as the layer density unless it
!  is 0.0, in which case obtain the density from my density--velocity
!  subroutine, using the equations in Boore (BSSA, 2016, pp. 316--320)):
   0.0
!Use Q from model file (note that Q < 1.0 is taken is 1/Q)?
   N
! kappa for computation (enter 0.0 for no kappa computation):
   0.0
!Ncolumns to read, column numbers for depth or thickness (allows for the first column
!being an index),velocity, density, and Q (note that if density and/or Q are not read
!from the file, the column numbers for these variables will be ignored.  But dummy
!values need to be included in the control file).
! WARNING: Be careful to maintain consistency between whether density and/or Q
! are read from input file and the entries below.  For example, suppose the input file
! contains thickness, vs, density, and Q.  Then the following table illustrates the
! proper input for Ncolumns, etc:
!** IMPORTANT **  Ncolumns to read should be consistent with the number of model columns actually present, although
! placeholders are needed so that there are 5 entries in the line below (see examples in the table below).
! Density from input  Q from input  Ncolumns, etc
!          N               N        2 1 2 2 2
!          Y               N        3 1 2 3 3
!          Y               Y        4 1 2 3 4
!          N               Y        4 1 2 3 4 (I'm not sure that this works)
! If specified incorrectly, the program will probably work, but the velocity
! model will be incorrect.  ALWAYS CHECK THE VELOCITY MODEL IN THE OUTPUT FILE!
   2 1 2 2 2
!Enter units of velocity (kps, mps) (depth units are assumed to be consistent
!with the velocity units---km for kps and m for mps):
   kps
!
!Parameters controlling creation of constant-velocity layered (CVL) model to be used in the nrattle calculations
!  
!Enter freqlow4model, freqhigh4model, nfreq4model for creation of CVL model.
!  if nfreq4model = 0: the CVL model will be based on the depths to the interfaces of the input model 
!                      (even if the input model is made up of linear segments; if it is a CVL model, the model used for the amp calcs will be
!                      the same as the input model).
!     nfreq4model < 0: the greatest depth for the CVL model will correspond to the bottom of the input model, with 
!                      abs(nfreq4model) layers whose boundaries are determined by a range of frequencies from
!                      the QWL frequency corresponding to the bottom of the input model (this replaces freqlow4model) to 
!                      fhigh4model.
!     nfreq4model > 0: the CVL model will have nfreq4model layers whose boundaries are determined by the range of QWL depths corresponding to flow4model 
!                      to fhigh4model. Note that it is possible for the deepest depth to be shallower or deeper than the bottom of the input model,
!                      depending on the comparison of flow4model to the QWL frequency for the bottom of the input model.  If deeper, the model is
!                      essentially extrapolated as a halfspace with velocity and density corresponding to the bottom of the input model.
0.05 100.0 -1200
!Log-spaced frequencies for model (probably should be "Y", based on sample runs I've made)?
   Y
!
!Enter freqlow, freqhigh, nfreq for amplification calculations
! If nfreq and fhigh are being specified for use in creating a time series via an FFT,
!         nfreq = npts/2 + 1
!         fhigh = 1.0/(2.0*dt) (the Nyquist frequency)
!         flow = 0.0
! where npts is the number of points in the FFT (a power of 2)
   0.1 100.0 1200
!Log-spaced frequencies for amplifications?
   Y
!v_ref, dens_ref for amp calculation (dens_ref = 0.0 means that it will be obtained from
! my relation between vel and dens; if dens_ref /= 0.0, then it will be used even if
! "Use density from model file" is N):
   3.5 2.72
!Angle of incidence at source level (in degrees):
   00.0
!Depth at which response is computed (0.0 for free surface):
   0.00
! Layer corresponding to halfspace (can be less than actual halfspace) 
! (a large number means the source is in the halfspace):
   9000
!Character string to append to end of each input file to create
!the name of the output file (an additional string will be added automatically to make the
!output file name more descriptive, as there can be up to three output files, and to end in ".out"):
   .1200logfreqsToModelBottom
!List of input files
!Make sure that there are no blank entries!
!The format of the input are consecutive columns containing the 
!depth/thickess and velocity, after header lines starting with "!"
   bj97_generic_rock_from_interpolate_xls.mdl
 stop
   laa_cy14_extrapolated.equal_tt_layers.D2bVsInput.mdl
stop

see  C:\site_amp\sample_input_output_for_distribution_file for ofr_amp.mdl.site_amp_batch.400freqs.xQ_from_model.asc

