! ------------------  BEGIN TT_FOR_PIECEWISE_CONTINUOUS_MODEL ---------------------------------     
!
      function TT_FOR_PIECEWISE_CONTINUOUS_MODEL(depth4tt, depth_model, 
     :         vel_model, tt_model, ndepths_model, v_halfspace)
     
! Dates: 02/16/16 - Written by D.M. Boore


      implicit none

      real tt_for_piecewise_continuous_model     
      real depth4tt, depth_model(*), vel_model(*),slope_v, tt_model(*),
     : delta_depth, delta_tt, vel_depth, v_halfspace
      
      integer ndepths_model, j
      
! Find the index j of the model point with a depth above the desired depth:
      call locate(depth_model,ndepths_model,depth4tt,j)

! Compute the travel time corresponding to depth:
      delta_depth = depth4tt - depth_model(j)
      IF (j == ndepths_model) THEN            ! into the halfspace
        delta_tt = delta_depth/v_halfspace
      ELSE 
        IF(delta_depth == 0.0) THEN  ! no change to model tt
          delta_tt = 0.0
        ELSE IF (vel_model(j) == vel_model(j+1)) THEN        ! constant velocity
          delta_tt = delta_depth/vel_model(j)
        ELSE
          slope_v = (vel_model(j+1)   - vel_model(j))/
     :                  (depth_model(j+1) - depth_model(j))
          vel_depth = vel_model(j)+slope_v*delta_depth
          delta_tt =  
     :              (1.0/slope_v)*alog(vel_depth/vel_model(j))
        END IF
      END IF

      tt_for_piecewise_continuous_model = tt_model(j) + delta_tt
      
      return
      
      end
!
! ------------------  END TT_FOR_PIECEWISE_CONTINUOUS_MODEL ---------------------------------     

      
      